PHP Manual
Prev |  | Next

# SwishResults->getParsedWords

(no version information, might be only in CVS)

SwishResults->getParsedWords -- Get an array of parsed words

## Description

array SwishResults->getParsedWords ( string index_name )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

`indexi_name`

  The name of the index used to initialize Swish object.

## Return Values

An array of parsed words with stopwords removed. The list of parsed words may be useful for highlighting search terms in the results.

## Examples

Example 1. Basic SwishResults->getParsedWords() example

`<?php try { $swish = new Swish("index.swish-e"); $results = $swish->query("'some characters' and numbers"); var_dump($results->getParsedWords("index.swish-e")); var_dump($results->indexes[0]['parsed_words']); //same result in a different way } catch (SwishException $e) { echo "Error: ", $e->getMessage(), "\n"; } ?>`

The above example will output something similar to:

    array(4) {
      [0]=>
      string(4) "some"
      [1]=>
      string(10) "characters"
      [2]=>
      string(3) "and"
      [3]=>
      string(7) "numbers"
    }
    array(4) {
      [0]=>
      string(4) "some"
      [1]=>
      string(10) "characters"
      [2]=>
      string(3) "and"
      [3]=>
      string(7) "numbers"
    }

Prev | Home | Next
SwishResult->stem | Up | SwishResults->getRemovedStopwords